Subject: Re: Automatic Outgoing Message Save

From: Ian Leiman <[email-masked]>
Date: Fri, 25 Mar 1994 23:38:08 +0300 (EETDST)

In my use the elm-type fcc wouldn't work, because I usually send mail
to multiple recipients and my mail is related to projects not
recipients. Many people to whom I write are in many projects too.
Then there's personal and business related mail, which would have to
go to separate folders. See my point?

The "dumb" solution would indeed be easy to implement. The place to put
it is on line 909 in pine/send.c source file. You could parse the
login-name from first address in outgoing->to and fill pbuf.fccbuf
appropriately.
As I'm not an official pine developer, I leave this as a trivial
programming excercise for those interested in the problem.
But like David Miller already told, it's coming...

On Fri, 25 Mar 1994, Will Estes wrote:

> But the "dumb" solution takes care of 90% of the problem, which is
> saving the information into some sort of partitioned group of files
> that can later be searched via something that the user can remember
> (i.e., the user's login name).  Waiting for the "smart"
> solution solves 0% of the problem because the information is not
> partitioned in *any* fashion.
>  
> So my own take on this is that this line of reasoning is a
> perfectionist's logic, but it does very little for the needs of the
> user.  Better to pursue the sloppy solution as a first cut, and then
> pursue the elegant solution as time allows.

-- 
Ian Leiman, M.Sc.             phone +358 0 5104 4453, fax +358 0 5104 4764
[email-masked]
homepage: http://dshp02.trs.ntc.nokia.com:3000/~leiman/index.html